using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class MetodologiaLogic
    {
        #region Constructor

        private MetodologiaDataAccess MetodologiaDA;

        public MetodologiaLogic()
        {
            MetodologiaDA = new MetodologiaDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<Metodologia> ListarMetodologia()
        {
            List<Metodologia> results = null;
            try
            {

                results = MetodologiaDA.ListadoMetodologia();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
